{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Biographie{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}

{% block newjavascripts %}
    <!-- Inclut un script JavaScript pour la gestion des boutons interactif -->
    <script src="{{ asset('assets/js/bio.js') }}"></script>
{% endblock %}

{% block titleAndDecription %}
    {% if app.user %}
        <!-- Affiche le titre de la page si l'utilisateur est connecté -->
        <h2>Biographie</h2>
    {% else %}
        <!-- Affiche un message d'erreur si l'utilisateur n'est pas connecté -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}
{% endblock %}


{% block section %}

    {% if app.user %}
        <!-- Affiche la section de la biographie si l'utilisateur est connecté -->
        <section>

            <div class="biography-container">
                <div class="bio-text">
                    <!-- Boucle sur les biographies pour afficher le texte -->
                    {% for biography in biographies %}
                        <p id="bio-text">
                            {{ biography.biography }}
                        </p>
                    {% endfor %}
                </div>
                <!-- Boutons d'actions pour la biographie -->
                <div class="actions biography-actions">
                    <div class="action-item">
                        <!-- Icône de modification -->
                            <a href="{% for biography in biographies %} {{ path('update_biography', { 'id': biography.id }) }} {% endfor %}"><i
                                    class="bi bi-pencil" id="update"></i></a>
                    </div>
                    <div class="action-item">
                        <!-- Icône de suppression supprime seulement la description -->
                        <a href="{% for biography in biographies %} {{ path('delete_biography', { 'id': biography.id }) }} {% endfor %}"><i
                                    class="bi bi-trash" id="delete"></i></a>
                    </div>
                    <div class="action-item">
                        <!-- Icône d'ajout (ajoute du texte quand il est vide)-->
                        <a href="#"><i class="bi bi-plus" id="add"></i></a>
                    </div>
                </div>
                <div class="bio-form" id="bio-form">
                    <!-- Formulaire pour la biographie -->
                    {{ form(bioForm) }}
                </div>
            </div>
            <!-- Fin de la section Biographie -->
        </section>
    {% endif %}

{% endblock %}